--- a/sendmail/conf.h
+++ b/sendmail/conf.h
@@ -84,7 +84,7 @@ struct rusage;	/* forward declaration to
 # error "MEMCHUNKSIZE must be at least MAXLINE"
 #endif
 #define MAXUSERENVIRON	100	/* max envars saved, must be >= 3 */
-#define MAXMAPSTACK	12	/* max # of stacked or sequenced maps */
+#define MAXMAPSTACK	128	/* max # of stacked or sequenced maps */
 #if MILTER
 # define MAXFILTERS	25	/* max # of milter filters */
 # define MAXFILTERMACROS 50	/* max # of macros per milter cmd */
